Subject: [MOBILE-IP] Dynamic Home Agent Assignment

From: Yingchun Xu <[email-masked]>
Date: Fri, 10 Sep 1999 06:01:29 -0500

In draft-ietf-mobileip-home-addr-alloc-00.txt, dynamic home agent function is
described. It seems that this function break the reverse tunneling function as
specified in RFC2344.

In RFC2344, IP destination address is copied from  the Home Agent field within
the Registration Request.

In order to support dynamic Home Agent assignment, the IP destination address of
a reverse tunneling IP packet has to be copied from the Home Agent field within
the Registration Reply (Of course, the registration has to be successful).

It seems a modification to RFC2344 is required to  support dynamic Home Agent
assignment. Any comments?

--Yingchun.